Bug 1378484 - warning messages seen in glusterd logs for each 'gluster volume status' command
Summary: warning messages seen in glusterd logs for each 'gluster volume status' command
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.2
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
: RHGS 3.2.0
Assignee: Atin Mukherjee
QA Contact: Byreddy
URL:
Whiteboard:
Depends On:
Blocks: 1351528 1378492 1379284 1379287
TreeView+ depends on / blocked
 
Reported: 2016-09-22 14:02 UTC by SATHEESARAN
Modified: 2017-03-23 05:48 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.8.4-2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1378492 (view as bug list)
Environment:
Last Closed: 2017-03-23 05:48:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description SATHEESARAN 2016-09-22 14:02:16 UTC
Description of problem:
-----------------------
Executing the 'gluster volume status' generates the warning message in glusterd.log.

The warning message goes like this :
<snip>
 "W [MSGID: 106217] [glusterd-op-sm.c:4706:glusterd_op_modify_op_ctx] 0-management: Failed uuid to hostname conversion"
</snip>

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
Layered installation - RHGS 3.2.0 (interim build - glusterfs-3.8.4-1.el7rhgs )
on RHEL 7.2

How reproducible:
-----------------
Always

Steps to Reproduce:
-------------------
1. Create any type of volume 
2. Start the volume
3. Execute 'gluster volume status'

Actual results:
---------------
Warning message seen in the glusterd.log

Expected results:
-----------------
Clean pass of the 'gluster volume status' command

Additional info:
----------------
The error snippet :
<snip>
[2016-09-22 09:21:38.536538] I [MSGID: 106499] [glusterd-handler.c:4360:__glusterd_handle_status_volume] 0-management: Received status volume req for volume test
[2016-09-22 09:21:38.537509] W [MSGID: 106217] [glusterd-op-sm.c:4706:glusterd_op_modify_op_ctx] 0-management: Failed uuid to hostname conversion
[2016-09-22 09:21:38.537533] W [MSGID: 106387] [glusterd-op-sm.c:4812:glusterd_op_modify_op_ctx] 0-management: op_ctx modification failed
</snip>

Comment 1 Atin Mukherjee 2016-09-22 15:20:05 UTC
upstream mainline patch http://review.gluster.org/#/c/15547 posted for review.

Comment 2 Byreddy 2016-09-23 06:36:22 UTC
We are seeing this issue only during layered installation.

Comment 4 Atin Mukherjee 2016-09-29 07:03:28 UTC
upstream mainline : http://review.gluster.org/15547
upstream 3.8 : http://review.gluster.org/15571
downstream patch : https://code.engineering.redhat.com/gerrit/85939

All the patches are merged now.

Comment 6 Byreddy 2016-10-03 07:38:25 UTC
Verified this bug using the build 3.8.4-2.

Fix is working good, not seeing the reported issue with the steps mentioned.

Moving to verified state.

Comment 8 errata-xmlrpc 2017-03-23 05:48:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.